{
  imports = [
    ../modules/ipmi-supermicro.nix
    ../modules/hardware/supermicro-H12SSL-i.nix
    ../modules/iperf-server.nix
    ../modules/hypervisor.nix
    ../modules/hydra/coordinator.nix
  ];

  networking.hostName = "epyc";
  boot.loader.systemd-boot.enable = true;
  boot.loader.efi.canTouchEfiVariables = true;

  virtualisation.nvisor.vms = {
    vm01 = {
      config = { pkgs, ... }: {
        environment.systemPackages = [ pkgs.hello ];
      };
    };
  };

  boot.binfmt.emulatedSystems = [ "riscv64-linux" "aarch64-linux" "riscv64-linux" ];

  simd.arch = "znver3";
  system.stateVersion = "23.05";
}
